Skip to main content
PUT
/
v1
/
projects
/
{projectId}
/
test-cases
/
{testCaseId}
更新測試案例
curl --request PUT \
  --url https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "systemPrompt": "<string>",
  "maxTurns": 123,
  "variables": {}
}
'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId}"

payload = {
    "name": "<string>",
    "systemPrompt": "<string>",
    "maxTurns": 123,
    "variables": {}
}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', systemPrompt: '<string>', maxTurns: 123, variables: {}})
};

fetch('https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {}
}

請求

PUT https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId}

路徑參數

projectId
string
required
專案 ID
testCaseId
string
required
測試案例 ID

標頭

Authorization
string
required
使用您的 Developer Key 進行 Bearer 令牌認證

請求主體

name
string
測試案例更新後的名稱
systemPrompt
string
更新後的系統提示
maxTurns
integer
更新後對話的最大輪數(最小值為 1)
variables
object
更新後的變數鍵值對

回應

data
object
更新後的測試案例物件。

範例

curl -X PUT https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated greeting flow",
    "maxTurns": 10
  }'
{
  "data": {
    "id": "test-case-uuid",
    "projectId": "project-uuid",
    "name": "Updated greeting flow",
    "systemPrompt": "You are a helpful assistant",
    "maxTurns": 10,
    "variables": {},
    "acceptanceCriteria": [],
    "createdAt": "2026-03-23T00:00:00.000Z",
    "updatedAt": "2026-03-23T00:00:00.000Z"
  }
}